Bug Hunting Session
Bug 113530 - LibreOffice hangs when pasting a few columns
Summary: LibreOffice hangs when pasting a few columns
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2017-10-30 18:01 UTC by Telesto
Modified: 2017-11-06 04:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-10-30 18:01:42 UTC
Description:
LibreOffice hangs when pasting a few columns

Steps to Reproduce:
1. Open the file found here: https://yadi.sk/i/rM9QctDym5y3M
2. Select columns A-C and CUT (CTRL-X)
3. Select cell D1 and paste (CTRL+V) -> Hang

Actual Results:  
Libo gets unresponsive

Expected Results:
Responsive paste


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Found in
Version: 6.0.0.0.alpha1+
Build ID: d30522e46ca884e9bc74af21711d9537e8118859
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-29_23:13:14
Locale: nl-NL (nl_NL); Calc: CL

but not in
Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Windows 6.2; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-10-30 18:29:42 UTC
Also repro on Ubuntu
Comment 2 Xisco Faulí 2017-10-30 19:19:22 UTC
Regression introduced by:

author	Noel Grandin <noelgrandin@gmail.com>	2017-10-14 10:42:16 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-10-17 06:55:14 (GMT)
commit	d6fb5ca5661195520ca7a7ca2d0145a1e11be099 (patch)
tree	d82ab460f7ed249b097033dbcd824d02430e5f04
parent	616f21db9e50a77b0c02dfb123f871a742f46216 (diff)
dyncolcontainer: use ScCompressedArray for pColWidth
and enhance ScCompressedArray with an iterator to avoid
O(n^2) "for" loops.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Noel Grandin
Comment 3 Commit Notification 2017-10-31 13:39:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e54f4cc24d29fe133a5eaae90515f74c64644159

tdf#113530 LibreOffice hangs when pasting a few columns

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Telesto 2017-11-04 19:54:11 UTC
Working fine! Thanks Noel
Version: 6.0.0.0.alpha1+
Build ID: 06cad1a9a42ea74434f9ed0e4027163d029eb4a1
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-02_23:40:06
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Xisco Faulí 2017-11-05 11:41:57 UTC
Hi Noel Grandin,
Please remember to close this ticket as RESOLVED FIXED once your work is done here. Thanks